Package ru.bgcrm.model.process.wizard.base

# Class Step

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.process.wizard.base.Step

All Implemented Interfaces:
  `Serializable`, `GetJsp`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Direct Known Subclasses:
  `AddressInfoStep`, `ContinueStep`, `CreateContractsStep`, `FillContractParamsStep`, `FillParamsStep`, `FindContractStep`, `JexlStep`, `LinkCustomerStep`, `SetContractTariffStep`, `SetDescriptionStep`, `SetExecutorsStep`, `SetStatusStep`, `ShowContractsByAddrParamStep`, `ShowInetServiceStep`, `ShowInetSessionStep`

public abstract class Step extends IdTitle implements GetJsp

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ConfigMap`
  `config`
  `protected static final String`
  `PATH_JSP`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Step(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract StepData<?>`
  `data(WizardData data)`
  `ConfigMap`
  `getConfig()`
  `String`
  `getExpression()`
  `static final Step`
  `newInstance(String className, ConfigMap config)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.app.servlet.jsp.GetJsp

  `getJsp`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### PATH_JSP

    protected static final String PATH_JSP
    See Also:
      - Constant Field Values

  - ### config

    protected final ConfigMap config

- ## Constructor Details

  - ### Step

    public Step(ConfigMap config)

- ## Method Details

  - ### getConfig

    public ConfigMap getConfig()

  - ### getExpression

    public String getExpression()

  - ### data

    public abstract StepData<?> data(WizardData data)

  - ### newInstance

    public static final Step newInstance(String className, ConfigMap config)